org.apache.tools.ant.types

## Interface ResourceCollection

All Superinterfaces:
  java.lang.Iterable<Resource>

All Known Implementing Classes:
  AbstractClasspathResource, AbstractResourceCollectionWrapper, AllButFirst, AllButLast, ArchiveFileSet, ArchiveResource, Archives, BaseResourceCollectionContainer, BaseResourceCollectionWrapper, BCFileSet, BZip2Resource, ClassfileSet, CompressedResource, Concat, ContentTransformingResource, Difference, DirSet, FileList, FileResource, Files, FileSet, First, GZipResource, Intersect, JavaConstantResource, Javadoc.TagArgument, JavaResource, Last, LazyResourceCollectionWrapper, LibFileSet, LogOutputResource, MappedResource, MappedResourceCollection, MultiRootFileSet, Path, Path.PathElement, PropertyResource, PropertySet, Resource, ResourceDecorator, ResourceList, Resources, Restrict, SizeLimitCollection, Sort, StringResource, Tar.TarFileSet, TarFileSet, TarResource, Tokens, Union, URLResource, XzResource, ZipFileSet, ZipResource

    public interface ResourceCollection
    extends java.lang.Iterable<Resource>

Interface describing a collection of Resources.

Since:
  Ant 1.7

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isFilesystemOnly()` Indicate whether this ResourceCollection is composed entirely of Resources accessible via local filesystem conventions.
`java.util.Iterator<Resource>` `iterator()` Gets the contents of this collection.
`int` `size()` Learn the number of contained Resources.

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### iterator

    java.util.Iterator<Resource> iterator()

Gets the contents of this collection.

Specified by:
  `iterator` in interface `java.lang.Iterable<Resource>`
Returns:
  all resources in the collection

#### size

    int size()

Learn the number of contained Resources.

Returns:
  number of elements as int.

#### isFilesystemOnly

    boolean isFilesystemOnly()

Indicate whether this ResourceCollection is composed entirely of Resources accessible via local filesystem conventions. If true, all resources returned from this collection should respond with a `FileProvider` when asked via `Resource.as(java.lang.Class<T>)`.

Returns:
  whether this is a filesystem-only resource collection.